<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Claim extends Model
{

    protected $table = 'claim';

    public function lines(){
        return $this->hasMany(ClaimLine::class, 'claim_id', 'id');
    }

    public function client(){
        return $this->hasOne(Client::class, 'id', 'client_id');
    }

    public function edi(){
        return $this->hasOne(ClaimEDI::class, 'id', 'claim_edi_id');
    }
}
